Skip to main content
DELETE
/
job
cURL
curl --request DELETE \
  --url https://api.collective.work/{environment}/v1/job \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>"
}
'
{
  "jobId": "<string>",
  "accountEmail": "<string>",
  "internalJobId": "<string>"
}

Authorizations

Authorization
string
header
required

API key given to you (If you don't have one, check this section)

Body

application/json
id
string
required

Unique identifier of the job (automatically generated by Collective) or Internal identifier of the job posting (provided by you when you created the job)

Response

Job successfully closed

jobId
string
required

Unique identifier of the job posting (automatically generated by Collective)

accountEmail
string
required

Email of the account on Collective under which this job will be posted.

internalJobId
string

Internal identifier of the job posting (provided by you when you created the job). It is returned only if it was provided at creation.